# Class CppBasePlugin

java.lang.Object
org.gradle.language.cpp.plugins.CppBasePlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

@Incubating @NonNullApi public class CppBasePlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>
A common base plugin for the C++ executable and library plugins

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`CppBasePlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CppBasePlugin

public CppBasePlugin()

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object